<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_80e7ee43fdf838101a2303a7b4a50" . "efc" => base64_decode("dG9fZm9sZGVyX2" . "lk"), "_939c6a45ff74323dbef48" . "7ed15753a7c" => base64_decode("c3Rh" . "dGU="), "_32155ccb342f1990430930" . "41c1b3bb57" => base64_decode("ZnJvbV9mb2x" . "kZXJfaWQ="), "_4c760fb" . "02a49c55" . "509ba087" . "b84fbda4" . "5" => base64_decode("ZHJh" . "ZnQ="), "_2e858fb1973337f53ff85c104" . "fcb38f4" => base64_decode("cHVibGlzaG" . "Vk"), "_d0845bff5cd0ddb5e" . "d1d7bd9db996f51" => base64_decode("c291cm" . "Nl"), "typ" . "e" => base64_decode("dH" . "lw" . "ZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_939c6a45ff74323dbef" . "487ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_939c6a45ff743" . "23dbef487ed157" . "53a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4c760fb02" . "a49c55509b" . "a087b84fbd" . "a45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_2e858fb1973337f53ff85c104" . "fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["t" . "y" . "p" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d0845bff" . "5cd0ddb5e" . "d1d7bd9db" . "996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_32155ccb342f199043093041c1b3bb" . "57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_80e7ee43fdf838101a2303a" . "7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}